javax.jdo.query

## Interface ComparableExpression<T>

- Type Parameters:
    `T` - Java type being represented here
  All Superinterfaces:
    Expression<T>
  All Known Subinterfaces:
    BooleanExpression, ByteExpression, CharacterExpression, DateExpression, DateTimeExpression, EnumExpression<T>, IfThenElseExpression<T>, LocalDateExpression, LocalDateTimeExpression, LocalTimeExpression, NumericExpression<T>, OptionalExpression<T>, StringExpression, TimeExpression

      public interface ComparableExpression<T>
      extends Expression<T>

  Representation of an expression for a Java type that implements java.lang.Comparable.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrderExpression<T>` | `asc()` Method to return an order expression for this expression in ascending order.
    `OrderExpression<T>` | `desc()` Method to return an order expression for this expression in descending order.
    `BooleanExpression` | `gt(ComparableExpression<? extends T> expr)` Method returning whether this expression is greater than the other expression.
    `BooleanExpression` | `gt(T t)` Method returning whether this expression is greater than the literal.
    `BooleanExpression` | `gteq(ComparableExpression<? extends T> expr)` Method returning whether this expression is greater than or equal the other expression.
    `BooleanExpression` | `gteq(T t)` Method returning whether this expression is greater than or equal the literal.
    `BooleanExpression` | `lt(ComparableExpression<? extends T> expr)` Method returning whether this expression is less than the other expression.
    `BooleanExpression` | `lt(T t)` Method returning whether this expression is less than the literal.
    `BooleanExpression` | `lteq(ComparableExpression<? extends T> expr)` Method returning whether this expression is less than or equal the other expression.
    `BooleanExpression` | `lteq(T t)` Method returning whether this expression is less than or equal the literal.
    `ComparableExpression<T>` | `max()` Method to return a numeric expression representing the aggregated maximum of this expression.
    `ComparableExpression<T>` | `min()` Method to return a numeric expression representing the aggregated minimum of this expression.

    - ### Methods inherited from interface javax.jdo.query.Expression

      `as, cast, count, countDistinct, eq, eq, instanceOf, ne, ne`

- - ### Method Detail

    - #### lt

          BooleanExpression lt(ComparableExpression<? extends T> expr)

      Method returning whether this expression is less than the other expression.
      Parameters:
        `expr` - Other expression
      Returns:
        Whether this is less than the other

    - #### lt

          BooleanExpression lt(T t)

      Method returning whether this expression is less than the literal.
      Parameters:
        `t` - literal
      Returns:
        Whether this is less than the other

    - #### lteq

          BooleanExpression lteq(ComparableExpression<? extends T> expr)

      Method returning whether this expression is less than or equal the other expression.
      Parameters:
        `expr` - Other expression
      Returns:
        Whether this is less than or equal the other

    - #### lteq

          BooleanExpression lteq(T t)

      Method returning whether this expression is less than or equal the literal.
      Parameters:
        `t` - literal
      Returns:
        Whether this is less than or equal the other

    - #### gt

          BooleanExpression gt(ComparableExpression<? extends T> expr)

      Method returning whether this expression is greater than the other expression.
      Parameters:
        `expr` - Other expression
      Returns:
        Whether this is greater than the other

    - #### gt

          BooleanExpression gt(T t)

      Method returning whether this expression is greater than the literal.
      Parameters:
        `t` - literal
      Returns:
        Whether this is greater than the other

    - #### gteq

          BooleanExpression gteq(ComparableExpression<? extends T> expr)

      Method returning whether this expression is greater than or equal the other expression.
      Parameters:
        `expr` - Other expression
      Returns:
        Whether this is greater than or equal to the other

    - #### gteq

          BooleanExpression gteq(T t)

      Method returning whether this expression is greater than or equal the literal.
      Parameters:
        `t` - literal
      Returns:
        Whether this is greater than or equal to the other

    - #### min

          ComparableExpression<T> min()

      Method to return a numeric expression representing the aggregated minimum of this expression.
      Returns:
        expression for the minimum

    - #### max

          ComparableExpression<T> max()

      Method to return a numeric expression representing the aggregated maximum of this expression.
      Returns:
        expression for the maximum

    - #### asc

          OrderExpression<T> asc()

      Method to return an order expression for this expression in ascending order.
      Returns:
        The order expression

    - #### desc

          OrderExpression<T> desc()

      Method to return an order expression for this expression in descending order.
      Returns:
        The order expression

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.